#include <iostream>
#include "TFile.h"
#include "TH1D.h"
#include "TF1.h"
#include "TCanvas.h"
#include "TPad.h"
#include "TVirtualPad.h"
using namespace std;
void read()

{
  TFile*fo;
  TH1D *h[4];
  for(int i=0;i<4;i++)
    {
      fo = new TFile(Form("File_%d.root",i),"READ");
      h[i] = (TH1D*)fo->Get(Form("h_%d",i));
      h[i]->SetName(Form("h_%d",i));
      cout<<"Input file : " <<fo->GetName()<<endl;
      cout<<"# of entries in hist : "<<h[i]->GetEntries()<<endl;
      cout<<"\t"<<endl;
      
      //! If I comment out this Close() statement
      //! everything works fine.
      fo->Close();
    }

  TCanvas *c1 = new TCanvas("c1","Run-By-Run Off Sets",10,10,800,800);
  c1->Divide(2,2,0,0);
  //int ipad=0;
  c1->cd(1);
  h[0]->Draw("hist");
  c1->cd(2);
  h[1]->Draw("hist");
  c1->cd(3);
  h[2]->Draw("hist");
  c1->cd(4);
  h[3]->Draw("hist");
}
